(function($) {
  "use strict";

  $(function() {
    // toggler
    $("input[type='checkbox']").on("change", function() {
      var $this = $(this),
        $tr = $this.closest("tr"),
        $siblings = $tr.siblings();

      if ($this.prop("checked")) {
        $siblings.removeClass("hide");
      } else {
        $siblings.addClass("hide");
      }
    });

    // range input slider
    $('input[type="range"]').each(function(index, element) {
      var $element = $(element);
      $element.rangeslider({
        polyfill: false,
        onInit: function() {
          var $td = $element.closest("td"),
            $tr = $element.closest("tr"),
            $table = $tr.closest("table"),
            $checkbox = $("input[type='checkbox']", $table),
            $handle = $(".rangeslider__handle", $td);

          $handle.attr("data-value", this.value);
          if ($tr.is(":last-child")) {
            $checkbox.trigger("change");
          }
        },
        onSlide: function(position, value) {
          var $td = $element.closest("td"),
            $handle = $(".rangeslider__handle", $td);

          $handle.attr("data-value", value);
        }
      });
    });

    var process = false,
      xhr = null,
      count = data.post_ids.length,
      $progressbar = $(".progress");

    function reindex(i) {
      if (process) {
        xhr = $.post(data.ajax_url, {
          action: "reindex",
          post_id: data.post_ids[i],
          last: i + 1 === count
        })
          .done(function (response) {
            var v = Math.round((++i * 100) / count) + "%";
            $progressbar
              .width(v)
              .attr("data-progress", v);
            if (i < count) {
              reindex(i);
            } else {
              tb_remove();
            }
          })
          .fail(function () {
            reindex(i);
          });
      }
    }

    $(".btn").on("click", function () {
      process = true;
      tb_show(null, "#TB_inline?width=600&height=350&inlineId=reindex-modal-window");
      $progressbar
        .width(0)
        .attr("data-progress", "0%");
      reindex(0);
    });

    $('body').on('thickbox:removed', function () {
      process = false;
      if (xhr !== null) {
        xhr.abort();
      }
    });
  });
})(jQuery);
